Latest Software Vulnerability – OpenSSL Heartbleed Bug

April 16, 2014

You may have heard the recent news reports about the OpenSSL Heartbleed bug. Some companies use a software program called OpenSSL to securely transmit data over the Internet by means of encryption.

Security researchers discovered that this program had a weakness that may allow attackers to decrypt login credentials.

Your Credit Union does not use OpenSSL on its servers or personal computers.

Our vendor partners are aware of this issue and have proactively taken steps to install software patches to fix the problem and eliminate the risk to members that use our on-line services. We have no evidence that this weakness has been exploited.

If we believe further communication is needed on this topic, we will provide an additional update on this page.